Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.management.oss.impl.pm.opstatus
Class ReportDataImpl

    java.lang.Object
      com.sun.management.oss.impl.pm.opstatus.ReportDataImpl

All Implemented Interfaces:
  java.lang.Cloneable, ReportData, java.io.Serializable

public class ReportDataImpl
extends java.lang.Object
implements ReportData

Title: com.ericsson.oss Description: Copyright: Copyright 2001 Ericsson Radio Systems AB Company: Ericsson Radio Systems AB

Version:
  1.0
Author:
  Andreas Jirven, Anna Eriksson, Ali Feizabadi
See Also:
  Serialized Form

Constructor Summary
`ReportDataImpl()`
`ReportDataImpl(java.lang.Object report, ReportFormat reportFormat)`

Method Summary
`java.lang.Object` | `clone()` Deep copy of this instance.
`java.lang.Object` | `getOperationalStatusMonitorReport()` Gets the measurement report.
`ReportFormat` | `getReportFormat()` Gets the measurement report format.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReportDataImpl

    public ReportDataImpl()

### ReportDataImpl

    public ReportDataImpl(java.lang.Object report,
                          ReportFormat reportFormat)

Method Detail

### clone

    public java.lang.Object clone()

  Description copied from interface: `ReportData`
  Deep copy of this instance.

  Specified by:
    `clone` in interface `ReportData`

### getOperationalStatusMonitorReport

    public java.lang.Object getOperationalStatusMonitorReport()

  Description copied from interface: `ReportData`
  Gets the measurement report.

  If the measurement result is in XML format a String object will be returned.

  Specified by:
    `getOperationalStatusMonitorReport` in interface `ReportData`
  Returns:
    Object The measurement result.

### getReportFormat

    public ReportFormat getReportFormat()

  Description copied from interface: `ReportData`
  Gets the measurement report format.

  Specified by:
    `getReportFormat` in interface `ReportData`
  Returns:
    ReportFormat The measurement report format.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD